Bug 186363 - frysk is not provided on powerpc fedora core 5 release
Summary: frysk is not provided on powerpc fedora core 5 release
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: frysk   
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Cagney
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-23 06:08 UTC by Eugene Savelov
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 17:37:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to remove test cniinner (1.03 KB, patch)
2006-03-23 06:08 UTC, Eugene Savelov
no flags Details | Diff

Description Eugene Savelov 2006-03-23 06:08:22 UTC
Description of problem:
Compile of test fails

mkdir -p cniinner
/usr/bin/gcj -I. -d . -C ./cniinner/Parent.java
/usr/bin/gcj -I. -d . -C ./cniinner/Child.java
/usr/bin/gcjh -I. cniinner.Parent
/usr/bin/gcjh -I. cniinner.Child
/usr/bin/gcjh -I. 'cniinner.Child$Nested'
/usr/bin/gcj -g -I. -c -o cniinner/native.o ./cniinner/native.cxx
/usr/bin/gcj -g -I. --main=cniinner.Child -o cniinner/a.out \
        ./cniinner/Parent.java \
        ./cniinner/Child.java \
        cniinner/native.o
./cniinner/Parent.java:3: internal compiler error: in mark_reference_fields, at
java/boehm.c:105
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[3]: *** [cniinner/a.out] Error 1
make[3]: Leaving directory
`/home/eugene/rpm/BUILD/frysk-0.0.1.2006.02.19.rh2/frysk-imports/tests'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/eugene/rpm/BUILD/frysk-0.0.1.2006.02.19.rh2/frysk-imports'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/home/eugene/rpm/BUILD/frysk-0.0.1.2006.02.19.rh2/frysk-imports'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.83282 (%build)


Version-Release number of selected component (if applicable):
frysk-0.0.1.2006.02.19.rh2

How reproducible:
always

Steps to Reproduce:
1.try to compile from source RPM
2.
3.
  
Actual results:
errors

Expected results:
compiles

Additional info:

as a workaround, can be build with the patch

Comment 1 Eugene Savelov 2006-03-23 06:08:22 UTC
Created attachment 126530 [details]
patch to remove test cniinner

Comment 2 Rahul Sundaram 2006-03-27 01:48:23 UTC

Frysk doesnt actually work on the PPC architecture yet. So I have changed this
to devel and marked it as an enhancement. Thanks. 

Comment 3 Andrew Cagney 2006-11-30 17:37:22 UTC
Frysk was included in FC-6 for PPC; it is very preliminary though - namely lack
of a ppc libunwind stack-unwinder limits things.

However closing as it is included and the web pages explain out to build from cvs.


Note You need to log in before you can comment on or make changes to this bug.